import { Middleware } from '@nuxt/types';

const errorRoute: Middleware = (context) => {

  if (!context.route.name) {
    const isAdminLogin = context.store.getters['localStorage/isAdminLogin'];
    if (isAdminLogin) {
      context.redirect('/myAppointmentList/appointmentList');
      return;
    }
    context.redirect('/')
  }
}

export default errorRoute;